Package com.sas.lsaf.execution.job

## Class ManifestOutput

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFileRef
  - - com.sas.lsaf.execution.job.ManifestOutput

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class ManifestOutput
      extends ManifestFileRef

  The client representation of an output file in a job manifest file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestOutput​(ManifestFile manifestFile, java.lang.String referencingProgram, java.lang.String checkInErrorMessage)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCheckInErrorMessage()` | Gets the message that describes why the output file was not checked in to the repository.
    `java.lang.String` | `getReferencingProgram()` | Gets the program that referenced the file.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFileRef

      `getFile, getId, getLastModified, getName, getPath, getVersion, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestOutput

          public ManifestOutput​(ManifestFile manifestFile,
                                java.lang.String referencingProgram,
                                java.lang.String checkInErrorMessage)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files that are returned by the API.
      Parameters:
        `manifestFile` - The file object that represents an output file in the job submission.
        `referencingProgram` - The program that referenced the input.
        `checkInErrorMessage` - The message that describes the reason that the output was not checked in to the repository.

  - ### Method Detail

    - #### getReferencingProgram

          public java.lang.String getReferencingProgram()

      Gets the program that referenced the file.
      Returns:
        The program.

    - #### getCheckInErrorMessage

          public java.lang.String getCheckInErrorMessage()

      Gets the message that describes why the output file was not checked in to the repository.
      Returns:
        The message.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFileRef`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFileRef`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFileRef`